Bug 26223 - Incompatible with shared-mime-info-0.90-alt3
: Incompatible with shared-mime-info-0.90-alt3
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lxde-common)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-09-03 21:43 by
Modified: 2011-09-05 15:44 (History)


Attachments
Fix XDG_DATA_DIRS setting to work with shared-mime-info-0.90-alt3 (750 bytes, patch)
2011-09-03 21:49, Nikolay A. Fetisov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-09-03 21:43:37
После закрытия #26194 в пользовательском окружении больше не определена
переменная XDG_DATA_DIRS.

Соответственно, для lxde-common-0.5.5-alt14 и присваиванием в
/usr/bin/startlxde вида
export XDG_DATA_DIRS="$XDG_DATA_DIRS:/usr/share/lxde"
сессия LXDE в нормальном виде запуститься не может.

Текущий правильный вариант задания XDG_DATA_DIRS, судя по /usr/bin/startgnome
(из gnome-session):

export XDG_DATA_DIRS="/usr/share/lxde:/usr/share:/usr/local/share"
------- Comment #1 From 2011-09-03 21:49:50 -------
Created an attachment (id=5092) [details]
Fix XDG_DATA_DIRS setting to work with shared-mime-info-0.90-alt3
------- Comment #2 From 2011-09-05 08:58:46 -------
Николай, спасибо!
Сегодня же соберу новую версию в сизиф!
P.S. Кто знает, для р6 тоже справедливо?
------- Comment #3 From 2011-09-05 10:15:06 -------
(In reply to comment #2)
> Николай, спасибо!

Было бы.

> P.S. Кто знает, для р6 тоже справедливо?

Для p6 - не знаю, а для t6 - справедливо. Туда shared-mime-info-0.90-alt3 уже
добрался.
------- Comment #4 From 2011-09-05 10:21:03 -------
В сизиф ушел #53895

> Для p6 - не знаю, а для t6 - справедливо. Туда shared-mime-info-0.90-alt3 уже
> добрался.

В р6 его пока не вижу, хотя допускаю, что http://packages.altlinux.org не
обновился или что-то подобное.
------- Comment #5 From 2011-09-05 10:37:33 -------
(In reply to comment #4)
> > Для p6 - не знаю, а для t6 - справедливо. Туда shared-mime-info-0.90-alt3 уже
> > добрался.
> В р6 его пока не вижу
http://ftp.altlinux.org/pub/distributions/ALTLinux/p6/branch/files/SRPMS/shared-mime-info-0.90-alt3.src.rpm
------- Comment #6 From 2011-09-05 10:48:32 -------
(In reply to comment #5)
> http://ftp.altlinux.org/pub/distributions/ALTLinux/p6/branch/files/SRPMS/shared-mime-info-0.90-alt3.src.rpm

Спасибо!
Значит отправлю в р6 тоже...
------- Comment #7 From 2011-09-05 11:02:56 -------
lxde-common-0.5.5-alt15 -> sisyphus:

* Mon Sep 05 2011 Radik Usupov <radik@altlinux> 0.5.5-alt15
- Fixed export XDG_DATA_DIRS, thanks naf@! (closes: #26223)
------- Comment #8 From 2011-09-05 15:44:21 -------
(В ответ на комментарий №0)
> Текущий 
Да

> правильный
Нет, не правильный.
Скорее, временный, как и в KDE4, пока shared-mime-info не добрался.

Правильный:
[ -n "$XDG_DATA_DIRS" ] || export XDG_DATA_DIRS="/usr/share/lxde:/usr/share"

P.S.
Содержимое XDG_DATA_DIRS на вкус мантейнера